Bug 26849 - Installer crashes when upgrading installation.
Summary: Installer crashes when upgrading installation.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard: Florence Gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-09 18:39 UTC by garyb
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-12 04:11:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description garyb 2001-02-09 18:39:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)


I'm having a problem when I start X. X comes up but there are no icons and 
nothing to do.  I can move the mouse but I can't click on anything.  I 
don't know if this is a bug yet.  I have an S3Virge GX and the installer 
for the Server option selects XFree86 (not XFree86-SVGA and not the 
s3virge driver.)  There doesn't seem to be anywhere in the installer to 
change this.  Thinking I had mis-configured something, I ran the installer 
again, this time selecting Upgrade an existing installation.  I hit next 
then it crashed and asked me to insert a floppy disk and fill out a bug 
report.

Reproducible: Didn't try
Steps to Reproduce:
1.Install server installation with X.
2.X doesn't work right.
3.Reinstall and select upgrade an installation.
	

Traceback (innermost last):
  File "/usr/bin/anaconda", line 503, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1173, in run
    rc = apply (step[1](), (dir,) + step[2])
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 377, in 
__call__
    todo.upgradeFindPackages (root)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1080, in 
upgradeFindPackages
    allowDirty = 0)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/upgrade.py", line 100, in 
mountRootPartition
    intf.messageWindow(("Dirty Filesystems"),
NameError: intf

Local variables in innermost frame:
rootFs: ext2
rootInfo: ('hda8', 'ext2')
root: hda8
allowDirty: 0
instPath: /mnt/sysimage
theFstab: <fstab.NewtFstab instance at 81de4f0>
mdList: []

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
NsS'setupFilesystems'
p5
I1
sS'monitorVsync'
p6
S''
sS'videoCardStateNode'
p7
S''
sS'ddruidReadOnly'
p8
I0
sS'bootdisk'
p9
I0
sS'videoRamState'
p10
S''
sS'monitorOriginalName'
p11
S''
sS'language'
p12
(itodo
Language
(dp13
S'langInfoByName'
p14
(dp15
S'Arabic (Yemen)'
p16
(S'ar_YE'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Argentina)'
p17
(S'es_AR'
S'iso01'
S'default8x16'
tsS'Spanish'
p18
(S'es_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Lebanon)'
p19
(S'ar_LB'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Guatemala)'
p20
(S'es_GT'
S'iso01'
S'default8x16'
tsS'Arabic (Libyan Arab Jamahiriya)'
p21
(S'ar_LY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Oman)'
p22
(S'ar_OM'
S'is

Comment 1 Glen Foster 2001-02-09 23:16:13 UTC
We (Red Hat) should really try to resolve this before next release.

Comment 2 Michael Fulbright 2001-02-12 04:11:33 UTC
You need to reboot your system and let fsck run to clean your existing
filesystems.

The traceback is fixed.


Note You need to log in before you can comment on or make changes to this bug.